# Overlay a population on an existing ggcyto plot analogous to backgating.

Source: `R/geom_overlay.R`
`geom_overlay.Rd`

It is useful for "backgating" plots.

    geom_overlay(data, ...)

## Arguments

data | a filter (Currently only rectangleGate (1d or 2d), polygonGate, ellipsoidGate are supported.) or a list of these gates or filterList or character specifying a gated cell population in the GatingSet
... | other arguments mapping, The mapping aesthetic mapping data a polygonGate fill polygonGate is not filled by default colour default is red pd pData (data.frame) that has rownames represents the sample names used as key to be merged with filterList

## Value

a geom_overlay layer

## Examples

    library(ggcyto)
    dataDir <- system.file("extdata",package="flowWorkspaceData")
    gs <- load_gs(list.files(dataDir, pattern = "gs_manual",full = TRUE))
    p <- autoplot(gs, "CD3+")#> Coordinate system already present. Adding new coordinate system, which will replace the existing one.
    # add a flowSet as the overlay
    fs <- gs_pop_get_data(gs, "DPT")
    p + geom_overlay(data = fs, size = 0.3, alpha = 0.7)
    # add overlay layer by gate name
    p + geom_overlay(data = "DNT", size = 0.3, alpha = 0.7)
    #add overlay for 1d densityplot
    p <- ggcyto(gs, aes(x = CD4), subset = "CD3+") + geom_density(aes(y = ..count..))
    p + geom_overlay("DNT", aes(y = ..count..), fill = "red")